/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/


/** FIX BALLOON **/

[data-balloon],button[data-balloon]{overflow:visible}[data-balloon]{position:relative}[data-balloon]:hover:after,[data-balloon]:hover:before{opacity:1;pointer-events:auto}[data-balloon]:before{border:4px solid transparent;border-top:4px solid var(--bricks-tooltip-bg);content:"";display:none;height:0;transform:translate(-50%);width:0}[data-balloon]:after{background-color:var(--bricks-tooltip-bg);border-radius:4px;color:#fff;color:var(--bricks-tooltip-text);content:attr(data-balloon);display:none;font-size:12px;font-weight:700;letter-spacing:-.1px;line-height:1;padding:4px;text-transform:none;transform:translate(-50%);white-space:nowrap}[data-balloon]:not([data-balloon=""]):after,[data-balloon]:not([data-balloon=""]):before{display:block}[data-balloon]:after,[data-balloon]:before{opacity:0;pointer-events:none;position:absolute;z-index:10}[data-balloon-pos=top]:after,[data-balloon-pos=top]:before,[data-balloon]:not([data-balloon-pos]):after,[data-balloon]:not([data-balloon-pos]):before{left:50%;top:-6px}[data-balloon-pos=top]:before,[data-balloon]:not([data-balloon-pos]):before{border-bottom:none;border-top-color:var(--bricks-tooltip-bg)}[data-balloon-pos=top]:after,[data-balloon]:not([data-balloon-pos]):after{transform:translate(-50%,-100%)}[data-balloon-pos=top-right]:before{border-bottom-color:transparent;border-top-color:var(--bricks-tooltip-bg);right:4px;top:0;transform:translateY(-100%)}[data-balloon-pos=top-right]:after{right:0;top:-8px;transform:translateY(-100%)}body.rtl [data-balloon-pos=top-right]:before{left:4px;right:auto}body.rtl [data-balloon-pos=top-right]:after{left:0;right:auto;transform:translateY(-100%)}[data-balloon-pos=right]:after,[data-balloon-pos=right]:before{left:100%;top:50%;transform:translate(7px,-50%)}[data-balloon-pos=right]:before{border-right-color:var(--bricks-tooltip-bg);border-top-color:transparent;left:auto;right:0}[data-balloon-pos=bottom-right]:after,[data-balloon-pos=bottom-right]:before{bottom:-6px}[data-balloon-pos=bottom-right]:before{border-bottom-color:var(--bricks-tooltip-bg);border-top-color:transparent;right:4px;transform:translate(-50%)}[data-balloon-pos=bottom-right]:after{right:0;transform:translateY(100%)}body.rtl [data-balloon-pos=bottom-right]:before{left:8px;right:auto}body.rtl [data-balloon-pos=bottom-right]:after{left:0;right:auto;transform:translateY(100%)}[data-balloon-pos=bottom]:after,[data-balloon-pos=bottom]:before{bottom:-6px;left:50%}[data-balloon-pos=bottom]:before{border-bottom-color:var(--bricks-tooltip-bg);border-top:none}[data-balloon-pos=bottom-left]:after,[data-balloon-pos=bottom-left]:before{bottom:-6px}[data-balloon-pos=bottom-left]:before{border-bottom-color:var(--bricks-tooltip-bg);border-top-color:transparent;left:4px;transform:translate(50%)}[data-balloon-pos=bottom-left]:after{left:0;transform:translateY(100%)}body.rtl [data-balloon-pos=bottom-left]:before{right:4px;transform:translate(-50%)}body.rtl [data-balloon-pos=bottom-left]:after{left:auto;right:0;transform:translateY(100%)}[data-balloon-pos=bottom]:after{transform:translate(-50%,100%)}[data-balloon-pos=left]:after,[data-balloon-pos=left]:before{right:100%;top:50%;transform:translate(-7px,-50%)}[data-balloon-pos=left]:before{border-left-color:var(--bricks-tooltip-bg);border-top-color:transparent;left:0}body.rtl [data-balloon-pos=left]:before{transform:translateY(-50%)}[data-balloon-pos=top-left]:before{border-bottom-color:transparent;border-top-color:var(--bricks-tooltip-bg);left:4px;top:0;transform:translateY(-100%)}[data-balloon-pos=top-left]:after{left:0;top:-8px;transform:translateY(-100%)}body.rtl [data-balloon-pos=top-left]:before{right:4px}body.rtl [data-balloon-pos=top-left]:after{left:auto;right:0;transform:translateY(-100%)}[data-balloon-length]:after{line-height:1.2;white-space:normal}[data-balloon-length=fit]:after{width:100%}[data-balloon-length=small]:after{width:80px}[data-balloon-length=medium]:after{width:160px}[data-balloon-length=large]:after{width:240px}[data-balloon-length=xlarge]:after{width:320px}[data-balloon-break]:after{white-space:pre}[data-balloon-break][data-balloon-length]:after{white-space:pre-line;word-break:break-word}[data-builder-mode=dark] .brx-body.main{--bricks-tooltip-bg:#eaecef;--bricks-tooltip-text:#23282d}[data-builder-mode=dark] .brx-body.main [data-balloon]:after{background-color:var(--bricks-tooltip-bg);color:var(--bricks-tooltip-text)}[data-builder-mode=dark] .brx-body.main [data-balloon-pos=top-left]:before,[data-builder-mode=dark] .brx-body.main [data-balloon-pos=top-right]:before,[data-builder-mode=dark] .brx-body.main [data-balloon-pos=top]:before{border-top-color:var(--bricks-tooltip-bg)}[data-builder-mode=dark] .brx-body.main [data-balloon-pos=bottom-left]:before,[data-builder-mode=dark] .brx-body.main [data-balloon-pos=bottom-right]:before,[data-builder-mode=dark] .brx-body.main [data-balloon-pos=bottom]:before{border-bottom-color:var(--bricks-tooltip-bg)}[data-builder-mode=dark] .brx-body.main [data-balloon-pos=left]:before{border-left-color:var(--bricks-tooltip-bg)}[data-builder-mode=dark] .brx-body.main [data-balloon-pos=right]:before{border-right-color:var(--bricks-tooltip-bg)}


/*** GLOBAL CSS **/
body:not(.admin-bar){--wp-admin--admin-bar--height:0px}


html {
    scroll-padding-top: calc(var(--navigation-bar-offset) + 10px );
}


body.no-scroll {
    overflow: hidden;
}

.show-filter-menu {
    opacity: 1 !important;
    transform: translateX(0) !important;
    visibility: visible;
}

.backdrop-filter::before {
    content: "";
    background-color: rgb(0 0 0 / 60%);
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 998;
}


a.brxe-text-basic:hover{text-decoration:underline}
:where(.brxe-image):before{z-index:1}
.role-administrator .block-dev{display:none}
.effect-img img {transition: all 0.3s ease-in-out;}
.effect-img:hover img {transform: scale(1.1, 1.1);}
.brxe-button {cursor: pointer;}
body:not([data-builder-mode]) .bloc-ota-bandeau {opacity: 0;}
.center{align-items:center;align-self:center;text-align:center}

.brx-animated .perfmatters-lazy.pmloaded,
.brx-animated .perfmatters-lazy.pmloaded>img,
.brx-animated .perfmatters-lazy>img.pmloaded,
.brx-animated .perfmatters-lazy[data-ll-status=entered],
.no-animation {
	animation:inherit !important;
}


/** CUSTOM SLIDER MULTIPLE IMAGE **/
.brxe-slider-nested .custom-slide-a{width:100%;height:100%}
.brxe-slider-nested .custom-slide-img{position:absolute;width:100%;height:100%;object-fit:cover}


/** POUR ANIMATION GSAP **/
body.bricks-is-frontend .fadein {opacity: 0;transform: translateY(50px);transition: none;}
/****/



/** HEADER CLASSIC 
@keyframes fade-in {0% {opacity: 0;}100% {opacity: 1;}}
header nav ul.bricks-nav-menu>li.current-menu-item:not(.menu-item-has-children,.btn-header) a::after,header nav ul.bricks-nav-menu>li:hover:not(.menu-item-has-children,.btn-header) a::after{content:"";width:100%;height:3px;background-color:var(--primary);position:absolute;bottom:-7px;animation:fade-in .3s ease}
header div.brx-offcanvas-inner nav ul.bricks-nav-menu>li a::after{display:none}
header nav ul.bricks-nav-menu li a{position:relative}
header .header-menu nav li:hover .brx-submenu-toggle button{transform:rotate(180deg)}
header nav ul.bricks-nav-menu>li.menu-item-has-children ul.sub-menu a:before{content:"-";margin-right:10px;transition:margin .3s ease}
header nav ul.bricks-nav-menu>li.menu-item-has-children ul.sub-menu a:hover:before{margin-right:15px}
header nav ul.bricks-nav-menu>li.menu-item-has-children ul.sub-menu li{padding:15px 10px}
header nav ul.bricks-nav-menu>li.menu-item-has-children ul.sub-menu a{width:fit-content}

**/

/** HEADER CLASSIC + HEADER FIXE 

body.header-fixe header:is(.sticky, .brx-sticky):not(.scrolling) .header-menu,
body.header-color header:is(.sticky, .brx-sticky):not(.scrolling) .header-menu {
    background-color: red;
}

body.header-fixe header:is(.sticky, .brx-sticky):not(.scrolling) {
    position: static;
}

body.header-fixe header:is(.sticky, .brx-sticky).scrolling + main {
    padding-top: var(--navigation-bar-offset);
}

**/

body.header-fixe header.brx-sticky:not(.scrolling) .bloc-img-header img {
  filter: none;
}

body.header-fixe header.brx-sticky:not(.scrolling) .section-header .fill {
  fill: var(--noir)!important;
}
body.header-fixe .section-header {
  border: solid 1px #e6e6e6;
}


body.header-color header.brx-sticky:not(.scrolling) .bloc-img-header img {
  filter: none;
}

body.header-color header.brx-sticky:not(.scrolling) .section-header .fill{
  fill: var(--noir)!important;
}



/* BANDEAU COOKIE - PLUGIN YESCOOKIE */
.cky-btn{flex:initial!important}
.cky-btn-revisit-wrapper{display:none!important}
.cky-notice-group{display:flex !important;flex-direction:row !important;flex-wrap:nowrap !important;align-items:center !important;gap:32px !important}
.cky-notice-btn-wrapper{justify-content:flex-start!important;margin-top:0!important;flex-wrap:nowrap!important;flex-direction:row !important;white-space:nowrap !important;gap:10px !important}
.cky-notice-btn-wrapper .cky-btn{margin:0!important}
@media (max-width:800px){.cky-notice-group{flex-direction:column!important;align-items:flex-start!important}}
@media (max-width:440px){.cky-notice-btn-wrapper{flex-direction:row!important;align-items:stretch!important;white-space:normal!important}}
/* COOKIE */


/** HEADER **/

/** LOGO BLANC HEADER SANS SCROLL **/

header:is(.sticky, .brx-sticky):not(.scrolling) .bloc-img-header img{
	filter: brightness(0) invert(1);
}

header:is(.sticky, .brx-sticky).scrolling .bloc-img-header {
	max-width: 120px;
}

@media screen and (max-width: 767px){
	header:is(.sticky, .brx-sticky).scrolling .bloc-img-header {
	max-width: 80px;
}
}

header:is(.sticky, .brx-sticky).scrolling .btn-menu-header-mobile svg,
header:is(.sticky, .brx-sticky).scrolling .mini-cart-header svg{
	fill: var(--noir)!important;
}

header:is(.sticky, .brx-sticky).scrolling .section-header {
    padding-top: 20px;
    padding-bottom: 20px;	
}

header:is(.sticky, .brx-sticky).scrolling .section-header,
body.header-fixe header:is(.sticky, .brx-sticky):not(.scrolling) .section-header {
    background-color: var(--blanc);
	border-bottom: solid 1px #e6e6e6;
}

body.header-fixe header:is(.sticky, .brx-sticky):not(.scrolling) {
	position: static;
}

body.header-fixe header:is(.sticky, .brx-sticky).scrolling + main,
body.header-fixe header:is(.sticky, .brx-sticky).scrolling + article {
    padding-top: var(--navigation-bar-offset);
}


/** ANIMATED LINES */
@keyframes line-reveal {
  from {
    transform: scaleX(0);
  }
  to {
    transform: scaleX(1);
  }
}

/* MOTS ITALIC ET ROUGE */

.brxe-heading i{
	font-style: italic;
	font-weight: 600;
	color: var(--secondary);
}

p i,
li i{
	font-style: italic;
	color: var(--secondary);
	font-weight: bold;
}

/* HALO PULSE BOUTONS VIDEO */

.button-player::after{
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: rgba(250, 250, 250, 0.5); /* halo blanc */
  transform: translate(-50%, -50%) scale(0.8);
  opacity: 0.6;
  animation: haloPulse 1.6s infinite;
  pointer-events: none;
}

@keyframes haloPulse {
  0% {
    transform: translate(-50%, -50%) scale(0.8);
    opacity: 0.6;
  }
  70% {
    transform: translate(-50%, -50%) scale(1.5);
    opacity: 0.2;
  }
  100% {
    transform: translate(-50%, -50%) scale(2);
    opacity: 0;
  }
}


/** WOOCOMMERCE ORDER RECEIVED **/
.woocommerce-order-received p.woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received{margin:0!important}
.woocommerce-order-received .div-thank-you-order{text-align:center;margin-bottom:30px}
.woocommerce-order-received div.woocommerce {padding:30px}
.woocommerce-order-received h1{padding:30px;font-size:var(--text-h2);}
.woocommerce-order-received .woocommerce-order h2{margin-bottom:20px;font-size:var(--text-h3);}
.woocommerce-order-received .woocommerce-order h3,.woocommerce-order-received .woocommerce-order h4{margin-bottom:20px;font-size:var(--text-h4);}
.woocommerce-order-received .woocommerce-columns--addresses{gap:20px}


/* PANIER PLUS QUE */
@keyframes move {0% {background-position: 0 0;}100% {background-position: 50px 50px;}}
.shipping_bar{padding:20px;background-color:var(--fond);display:flex;flex-direction:column;gap:10px;text-align:center;}
.shipping_bar span{color:green;font-weight:600}
.shipping_bar i{color:green!important;font-size:20px!important;margin-left:8px!important}
.newprogress{position:relative;width:100%;height:22px;border-radius:15px;overflow:hidden;padding:6px 10px;border:1px solid #000}
.newprogress__fill{width:0%;height:100%;border-radius:15px;background-color:green;background-image:linear-gradient(-45deg,rgba(255,255,255,.2) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.2) 50%,rgba(255,255,255,.2) 75%,transparent 75%,transparent);animation:move 2s linear infinite;background-size:50px 50px;transition:width 1s ease}
/* FIN PANIER PLUS QUE */


/** WOOCOMMERCE PANIER + CHECKOUT */



tr.fee .pegau-fee-tooltip i {font-size:13px}
tr.fee td {gap:5px !important;}
tr.fee [data-balloon]:after {white-space: normal;max-width: 80vw;width: 180px;}


/* WOOCOMMERCE MON COMPTE */
.woocommerce-account main *:not(:is(h1, h2, h3, h4, h5, h6)) {
	font-family: "Work Sans";
	font-size: 1rem;
}
.woocommerce-account main a {
	color: var(--primary-3);
}

/* BON CADEAU */

.woocommerce-cart-form dl.variation {
    font-family: 'Work Sans';
    font-size: 13px;
}

.woocommerce-cart-form dl.variation dt {
    font-weight: bold;
}

.woocommerce-checkout .shop_table dl.variation {
    display: none;
}

.wt_gc_wallet_history_pagination {
    text-align: center;
    margin-top: 20px;
}

.wt_gc_wallet_history_pagination a.disabled {
	display: none;
}

.wt_gc_gift_card_product_page_form_wrapper {
    flex: 0 0 100%;
    font-family: 'Work Sans';
    font-size: 1rem;
}

.product_cat-autre form.cart {
    flex-wrap: wrap;
	padding-bottom: 50px;
}

.product_cat-autre .container-product {
    min-height: fit-content;
}

.product_cat-autre .img-product {
	object-fit: contain;
	object-position: 0% 15%;
}

@media (max-width: 991px) {
	.product_cat-autre .img-product {
		object-position: center;
	}
	.product_cat-autre .product-b-img {
        height: 400px;
    }
}


.product_cat-autre form.cart label {
    color: var(--base);
}

li.woocommerce-mini-cart-item.mini_cart_item dl.variation {
	display: none;
}

li.woocommerce-mini-cart-item.mini_cart_item a[data-product_id="5571"] ~ div .action svg {
	display: none;
}

li.woocommerce-mini-cart-item.mini_cart_item a[data-product_id="5571"] ~ div .quantity {
	pointer-events: none;
}